package com.chelvc.framework.kafka.fallback;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * Kafka消息存储服务客户端
 *
 * @author Woody
 * @date 2024/12/19
 */
@FeignClient(value = "${spring.kafka.store-server:kafka}")
public interface KafkaStoreClient {
    /**
     * 保存Kafka消息
     *
     * @param message 消息对象
     */
    @PostMapping("/kafka/message")
    void save(@RequestBody KafkaMessage message);
}
