package com.chelvc.framework.rocketmq.fallback;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * RocketMQ消息存储服务客户端
 *
 * @author Woody
 * @date 2024/12/19
 */
@FeignClient(value = "${rocketmq.store-server:rocketmq}")
public interface RocketMQStoreClient {
    /**
     * 保存RocketMQ消息
     *
     * @param message 消息对象
     */
    @PostMapping("/rocketmq/message")
    void save(@RequestBody RocketMQMessage message);
}
